> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# kling-element-delete

> Delete a custom subject by `element_id`. Only custom subjects can be deleted; official presets cannot.



## OpenAPI

````yaml en/api-reference/model-api/kuaishou/openapi/kling-element-delete/openapi.yaml POST /kling/v1/general/delete-elements
openapi: 3.1.0
info:
  title: Kling delete subject
  description: Delete a custom subject by element_id
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security:
  - bearerAuth: []
paths:
  /kling/v1/general/delete-elements:
    post:
      summary: Delete a subject
      description: >-
        Delete a custom subject by `element_id`. Only custom subjects can be
        deleted; official presets cannot.
      operationId: deleteKlingElementZh
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - element_id
              properties:
                element_id:
                  type: string
                  description: >-
                    Subject ID to delete (from `elements[].element_id` in the
                    query response).
                  example: '863121023120580662'
      responses:
        '200':
          description: Deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: 0 indicates success
                    example: 0
                  message:
                    type: string
                    example: SUCCEED
                  request_id:
                    type: string
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````